// Cheats.cpp
//
// This is needed, so we can set the game up at a certain state, and
// augment the debugging process.  This will be handy when testing game-
// play, as we won't have to setup pieces and stuff.

#include <stdio.h>
#include "Cheats.h"
#include "GameState.h"

bool enableCheat(GameState *g_state, int cheat)
{
	int i=0;

	switch(cheat)
	{
		case CHEAT_NOSETUP:
				if (!g_state->initAiBoardFromFile("src\\cheat-board.txt"))
					printf("Couldn't Load aiboard.txt\n");
				if (!g_state->initHumanBoardFromFile("src\\cheat-board.txt"))
					printf("Couldn't Load humanboard.txt\n");
				g_state->resetHumanShotsRemaining();
				g_state->set(STATE_BATTLE);
				g_state->setHumanTurn();
			return true;
		case CHEAT_CREDITS:
			return true;
		case CHEAT_BINOCULARS:
			return true;
		case CHEAT_ISEEYOU:
			return true;
	}
	return false;
}