/*
   init.h
   
   initialization functions header file
   
   Copyright (c) 2003 Patrick Lynch <plynch@sphere.org>
   Copyright (c) 2003 Brian Jared <bjared@g3.org>
   
   Compiled from many sources and re-written.
   
   (we should give props to the stolen code)
   
*/

#pragma once
#ifndef __INIT_H
#define __INIT_H

#include <windows.h>
#include <stdio.h>

// This is the include file for the init.cpp file.

extern void InitSetupPixelFormat(HDC);

extern bool InitRegisterWindowClassEx(HINSTANCE);

extern bool InitCreateWindowEx(HWND &, HINSTANCE, bool);

extern bool InitConsoleWindow();

#endif