/*
   somepoint.h - v0.1
   
   the "some" point class header file.
   
   Copyright (c) 2003 Patrick Lynch <plynch@sphere.org>
   Copyright (c) 2003 Brian Jared <bjared@g3.org>
   
   v 0.1
   - Inital concept and layout completed.
   
*/
#pragma once
#ifndef __SOMEFONT_H
#define __SOMEFONT_H

#include <iostream>
#include <string>
#include <windows.h>
#include <gl/gl.h>

using namespace std;

class somefont
{
private:
	int characters;						// holds call list of all characters
	GLYPHMETRICSFLOAT gmf[256];			// holds orientation and placement

public:
	somefont(void);

	void init(char *, int, float, HDC &);

	void ClearFont(void);

	void PrintString(string);

	void PrintString(int);

	~somefont(void);
};

#endif