/*
   someshape.h - v0.1
   
   the "some" shape header file
   
   Copyright (c) 2003 Patrick Lynch <plynch@sphere.org>
   Copyright (c) 2003 Brian Jared <bjared@g3.org>
   
   v 0.1
   - Inital concept and layout completed.
   
*/
#pragma once
#ifndef __SOMESHAPE_H
#define __SOMESHAPE_H

// defines for draw
#define FORCE 1
#define TRIANGLES 30
#define _USE_MATH_DEFINES

#include "somepoint.h"
#include "somevector.h"

class someshape
{
private:
	// point defining location
	somepoint location;

public:

	someshape(void);
	~someshape(void);

};

int draw_cone(float, float, float, float, float, bool, bool);

int draw_pyramid(float, float, float, bool);

#endif